server_tokens off;

server {
    listen 80 default_server;

    server_name {{ root_domain }} www.{{ root_domain }};

    location /.well-known/acme-challenge {
        root /var/www/certbot;
        try_files $uri $uri/ =404;
    }

    location / {
        {% if ovh is defined %}return 301 https://$host$request_uri;
        {% else %}root /www/default;
        try_files $uri $uri/ =404;{% endif %}
    }    
}

{% if ovh is defined %}server {
    listen 443 default_server ssl;

    server_name {{ root_domain }} www.{{ root_domain }};

    ssl_certificate         /etc/nginx/ssl/live/{{ root_domain }}/fullchain.pem;
    ssl_certificate_key     /etc/nginx/ssl/live/{{ root_domain }}/privkey.pem;
    ssl_trusted_certificate /etc/nginx/ssl/live/{{ root_domain }}/fullchain.pem;

    ssl_session_cache shared:SSL:50m;
    ssl_session_timeout 5m;
    ssl_stapling on;
    ssl_stapling_verify on;

    ssl_dhparam /etc/nginx/dhparam.pem;
    ssl_prefer_server_ciphers on;

    index index.html index.htm;

    location / {
        root /www/default;
        try_files $uri $uri/ =404;
    }
}{% endif %}
